Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class RuleSetNodeFactory

    java.lang.Object
      org.jbpm.ruleflow.core.factory.NodeFactory
          org.jbpm.ruleflow.core.factory.RuleSetNodeFactory

    public class RuleSetNodeFactory

extends NodeFactory

Field Summary

Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`nodeContainerFactory`

Constructor Summary
`RuleSetNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`protected Node` | `createNode()`
`protected RuleSetNode` | `getRuleSetNode()`
`RuleSetNodeFactory` | `name(String name)`
`RuleSetNodeFactory` | `ruleFlowGroup(String ruleFlowGroup)`
`RuleSetNodeFactory` | `timer(String delay, String period, String dialect, String action)`

Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`done, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleSetNodeFactory

    public RuleSetNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                              NodeContainer nodeContainer,
                              long id)

Method Detail

### createNode

    protected Node createNode()

  Specified by:
    `createNode` in class `NodeFactory`

### getRuleSetNode

    protected RuleSetNode getRuleSetNode()

### name

    public RuleSetNodeFactory name(String name)

### ruleFlowGroup

    public RuleSetNodeFactory ruleFlowGroup(String ruleFlowGroup)

### timer

    public RuleSetNodeFactory timer(String delay,
                                    String period,
                                    String dialect,
                                    String action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.